package com.finecosoft.aop.aroundadviceprogrammed;

import org.springframework.aop.framework.ProxyFactory;

public class AroundAdviceProgrammedExample {

	public static void main(String[] args) {
		ContainingLongRunningMethodClass target =
			new ContainingLongRunningMethodClass();
		
		ProxyFactory pf = new ProxyFactory();
		pf.setTarget(target);
		pf.addAdvice(new DisplayTimeIntercepter());
		
		ContainingLongRunningMethodClass proxy =
			(ContainingLongRunningMethodClass) pf.getProxy();
		
		proxy.longLoop();
	}

}
