package com.finecosoft.aop.aroundadviceprogrammed;

import java.util.Date;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

public class DisplayTimeIntercepter implements MethodInterceptor {

	public Object invoke(MethodInvocation method) throws Throwable {
		System.out.println("Time before method launch: " + new Date());
		Object value = method.proceed();
		System.out.println("Time after method launch: " + new Date());
		return value;
	}
}
