package com.finecosoft.aop.introduction;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class IntroductionDemo {
	public static void main(String[] args) {
		ApplicationContext ctx =
			new ClassPathXmlApplicationContext("com/finecosoft/aop/introduction/applicationContext.xml");

		ToBeExtendedService toBeExtendedService = 
			(ToBeExtendedService) ctx.getBean("toBeExtendedService");
	
		toBeExtendedService.someMethod();
		toBeExtendedService.someMethod();
		toBeExtendedService.someMethod();
		
		printCallCounter(toBeExtendedService);
	}
	
	
	public static void printCallCounter(Object obj) {
		MethodCallCounter counter = (MethodCallCounter) obj;
		System.out.println("The method was called " + counter.getCounter() + " time(s)");
	}
}
