package com.finecosoft.aop.pointcutprogrammed;

import java.util.Date;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

public class LogInterceptor implements MethodInterceptor {

	@Override
	public Object invoke(MethodInvocation invocation) throws Throwable {
		System.out.println("Start executing " + invocation.getMethod().getName() + " at " + new Date());
		Object value = invocation.proceed();
		System.out.println("End executing " + invocation.getMethod().getName() + " at " + new Date());
		return value;
	}

}
