package com.finecosoft.aop.pointcutprogrammed.staticpc;

import java.lang.reflect.Method;

import org.springframework.aop.ClassFilter;

import org.springframework.aop.support.StaticMethodMatcherPointcut;

import com.finecosoft.aop.pointcutprogrammed.ToBeDecoratedClass;

public class StaticPointcut extends StaticMethodMatcherPointcut {

	@Override
	public boolean matches(Method method, Class<?> clazz) {
		boolean value = "rundomSleep".equals(method.getName()); 
		return value;
	}

	@Override
	public ClassFilter getClassFilter() {
		return new ClassFilter() {
			public boolean matches(Class clazz) {
				boolean value = clazz==ToBeDecoratedClass.class; 
				return value;
			}
		};
	}
}
